# class KAboutContributor | Used internally by KAboutWidget More...
Internal Use Only
Definition | `#include <kaboutdialog.h>`
Inherits | QFrame (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KAboutContributor ( QWidget *parent=0, const char *name=0, const QString &username=QString::null, const QString &email=QString::null, const QString &url=QString::null, const QString &work=QString::null, bool showHeader=false, bool showFrame=true, bool showBold=false )
- void setName ( const QString &text, const QString &header=QString::null, bool update = true )
- void setEmail ( const QString &text, const QString &header=QString::null, bool update = true )
- void setURL ( const QString &text, const QString &header=QString::null, bool update = true )
- void setWork ( const QString &text, const QString &header=QString::null, bool update = true )
- QString getName ( void )
- QString getEmail ( void )
- QString getURL ( void )
- QString getWork ( void )
- virtual QSize sizeHint ( void ) const

#### Signals

- void sendEmail (const QString& name, const QString& email)
- void openURL (const QString& url)

#### Protected Methods

- virtual void fontChange ( const QFont &oldFont )

#### Protected Slots

- void urlClickedSlot ( const QString& )
- void emailClickedSlot ( const QString& emailaddress )

## Detailed Description

Used internally by KAboutWidget

KAboutContributor ( QWidget *parent=0, const char *name=0, const QString &username=QString::null, const QString &email=QString::null, const QString &url=QString::null, const QString &work=QString::null, bool showHeader=false, bool showFrame=true, bool showBold=false ) | ### KAboutContributor

void setName ( const QString &text, const QString &header=QString::null, bool update = true ) | ### setName

void setEmail ( const QString &text, const QString &header=QString::null, bool update = true ) | ### setEmail

void setURL ( const QString &text, const QString &header=QString::null, bool update = true ) | ### setURL

void setWork ( const QString &text, const QString &header=QString::null, bool update = true ) | ### setWork

QString getName ( void ) | ### getName

QString getEmail ( void ) | ### getEmail

QString getURL ( void ) | ### getURL

QString getWork ( void ) | ### getWork

QSize sizeHint ( void ) | ### sizeHint

[const virtual]

Reimplemented from QFrame.

void fontChange ( const QFont &oldFont ) | ### fontChange

[protected virtual]

void urlClickedSlot ( const QString& ) | ### urlClickedSlot

[protected slots slot]

void emailClickedSlot ( const QString& emailaddress ) | ### emailClickedSlot

[protected slots slot]

void sendEmail (const QString& name, const QString& email) | ### sendEmail

[signal]

void openURL (const QString& url) | ### openURL

[signal]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.